Bug 850416 - dbus error sur yum upgrade
dbus error sur yum upgrade
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 10:31 EDT by Todd Ellis
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 11:55:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Ellis 2012-08-21 10:31:35 EDT
Description of problem:
When trying to upgrade my system, yum cannot resolve dependencies.  Yum told me to report this to you, which I am doing

Version-Release number of selected component (if applicable):


How reproducible:
Below is the output, including my command:

[root@nimbostratus ~]# yum reinstall dbus-libs
Loaded plugins: rhnplugin, security
Setting up Reinstall Process
Resolving Dependencies
--> Running transaction check
---> Package dbus-libs.i386 0:1.1.2-12.el5 set to be erased
---> Package dbus-libs.i386 0:1.1.2-12.el5 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-12.el5 set to be updated
---> Package dbus-libs.i386 0:1.1.2-14.el5 set to be updated
--> Processing Dependency: dbus = 1.1.2-14.el5 for package: dbus-libs
--> Running transaction check
--> Processing Dependency: dbus = 1.1.2-12.el5 for package: dbus-libs
--> Processing Dependency: dbus = 1.1.2-12.el5 for package: dbus-libs
--> Processing Dependency: dbus = 1.1.2-12.el5 for package: dbus-devel
--> Processing Dependency: dbus = 1.1.2-12.el5 for package: dbus-libs
--> Processing Dependency: dbus = 1.1.2-12.el5 for package: dbus-x11
--> Processing Dependency: dbus = 1.1.2-12.el5 for package: dbus-devel
---> Package dbus.x86_64 0:1.1.2-14.el5 set to be updated
--> Running transaction check
---> Package dbus.i386 0:1.1.2-12.el5 set to be updated
---> Package dbus.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-libs.x86_64 0:1.1.2-16.el5_7 set to be updated
---> Package dbus-x11.x86_64 0:1.1.2-16.el5_7 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch        Version             Repository                 Size
================================================================================
Removing:
 dbus-libs      i386        1.1.2-12.el5        installed                 246 k
Reinstalling:
 dbus-libs      i386        1.1.2-12.el5        rhel-x86_64-client-5      124 k
 dbus-libs      x86_64      1.1.2-12.el5        rhel-x86_64-client-5      123 k
 dbus-libs      i386        1.1.2-14.el5        rhel-x86_64-client-5      123 k
Installing for dependencies:
 dbus           i386        1.1.2-12.el5        rhel-x86_64-client-5      236 k
Updating for dependencies:
 dbus           x86_64      1.1.2-14.el5        rhel-x86_64-client-5      233 k
 dbus           x86_64      1.1.2-16.el5_7      rhel-x86_64-client-5      234 k
 dbus-libs      x86_64      1.1.2-16.el5_7      rhel-x86_64-client-5      123 k
 dbus-x11       x86_64      1.1.2-16.el5_7      rhel-x86_64-client-5       32 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       4 Package(s)
Remove        1 Package(s)
Reinstall     3 Package(s)
Downgrade     0 Package(s)

Total size: 1.2 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
dbus is needed by dbus-libs-1.1.2-14.el5.i386
dbus-libs is needed by dbus-1.1.2-12.el5.i386
dbus is needed by (installed) dbus-libs-1.1.2-14.el5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I was doing this because yum update failed and I was going through the list of dependency issues and reinstalling each.  dbus-libs was one of these issues.  I am currently trying to delete and reinstall these packages, but since it told me to report the error, I wanted to do so before I kept going.
Comment 1 Zdeněk Pavlas 2013-04-04 11:55:42 EDT
I assume that your rpmdb is corrupt in some way, so that rpm can't lookup the
provides correctly.

 Eg. try:

rpm -q --provides dbus
rpm -q --whatprovides dbus

...if the first shows dbus and the second doesn't, try:

rpm --rebuilddb

Note You need to log in before you can comment on or make changes to this bug.